#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Assistive Technology Service Provider Interface
Summary(pl.UTF-8):	Interfejs pozwalający na korzystanie z urządzeń wspomagających
Name:		at-spi
Version:	1.32.0
Release:	6
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.32/%{name}-%{version}.tar.bz2
# Source0-md5:	bc62c41f18529d56271fa1ae6cad8629
Patch0:		%{name}-format.patch
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	ORBit2-devel >= 2.14.10
BuildRequires:	atk-devel >= 1:1.30.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AT-SPI allows assistive technologies to access GTK-based applications.
Essentially it exposes the internals of applications for automation,
so tools such as screen readers, magnifiers, or even scripting
interfaces can query and interact with GUI controls.

%description -l pl.UTF-8
AT-SPI pozwala na korzystanie z urządzeń wspomagających w celu dostępu
do aplikacji bazujących na GTK. Przede wszystkim udostępnia wewnętrzne
interfejsy aplikacji dla automatyzacji, więc urządzenia takie jak
czytniki ekranu, lupy, czy nawet interfejsy skryptowe mogą odpytywać i
współpracować z kontrolkami interfejsu graficznego.

%package libs
Summary:	Base at-spi libraries and modules
Summary(pl.UTF-8):	Podstawowe biblioteki i moduły at-spi
Group:		Libraries
Requires(post,postun):	/sbin/ldconfig
Obsoletes:	libat-spi1

%description libs
Base at-spi libraries and modules.

%description libs -l pl.UTF-8
Podstawowe biblioteki i moduły at-spi.

%package devel
Summary:	AT-SPI development files
Summary(pl.UTF-8):	Pliki programistyczne AT-SPI
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 2.14.10
Requires:	atk-devel >= 1:1.30.0
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libbonobo-devel >= 2.24.0
Obsoletes:	libat-spi1-devel

%description devel
AT-SPI development files.

%description devel -l pl.UTF-8
Pliki programistyczne AT-SPI.

%package static
Summary:	AT-SPI static library
Summary(pl.UTF-8):	Statyczna biblioteka AT-SPI
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
AT-SPI static library.

%description static -l pl.UTF-8
Statyczna biblioteka AT-SPI.

%package apidocs
Summary:	AT-SPI API documentation
Summary(pl.UTF-8):	Dokumentacja API AT-SPI
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
AT-SPI API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API AT-SPI.

%package -n python-pyatspi_corba
Summary:	AT-SPI Python bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona
Group:		Development/Languages/Python
Requires:	python-pyorbit
# python-pyatspi 2 is new, at-spi2 based implementation
Obsoletes:	python-pyatspi < 2
Obsoletes:	python-pyspi

%description -n python-pyatspi_corba
AT-SPI Python bindings.

%description -n python-pyatspi_corba -l pl.UTF-8
Wiązania AT-SPI dla Pythona.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	%{__enable_disable static_libs static} \
	--enable-relocate \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# no static modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/{gtk-2.0/modules/at-spi-corba/modules,orbit-2.0}/*.{la,a}

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%{__mv} -f $RPM_BUILD_ROOT%{_datadir}/locale/{sr@ije,sr@ijekavian}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install at-spi.schemas

%preun
%gconf_schema_uninstall at-spi.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%{_sysconfdir}/gconf/schemas/at-spi.schemas
%{_sysconfdir}/xdg/autostart/at-spi-registryd.desktop
%{_datadir}/idl/at-spi-1.0

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_libdir}/libcspi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcspi.so.0
%attr(755,root,root) %{_libdir}/libloginhelper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloginhelper.so.0
%attr(755,root,root) %{_libdir}/libspi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspi.so.0
%attr(755,root,root) %{_libexecdir}/at-spi-registryd
%attr(755,root,root) %{_libdir}/orbit-2.0/Accessibility_LoginHelper_module.so
%attr(755,root,root) %{_libdir}/orbit-2.0/Accessibility_module.so
%dir %{_libdir}/gtk-2.0/modules/at-spi-corba
%dir %{_libdir}/gtk-2.0/modules/at-spi-corba/modules
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/at-spi-corba/modules/libatk-bridge.so
%{_libdir}/bonobo/servers/Accessibility_Registry.server

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcspi.so
%attr(755,root,root) %{_libdir}/libloginhelper.so
%attr(755,root,root) %{_libdir}/libspi.so
%{_includedir}/at-spi-1.0
%{_pkgconfigdir}/cspi-1.0.pc
%{_pkgconfigdir}/libloginhelper-1.0.pc
%{_pkgconfigdir}/libspi-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcspi.a
%{_libdir}/libloginhelper.a
%{_libdir}/libspi.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/at-spi-cspi
%{_docdir}/%{name}-%{version}

%files -n python-pyatspi_corba
%defattr(644,root,root,755)
%dir %{py_sitedir}/pyatspi_corba
%{py_sitedir}/pyatspi_corba/*.py[co]
%changelog
* Sun Jan 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/at-spi.git;a=log;h=master

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 82bfee0
- added format patch (fixes build with -Werror=format-security)
- rename sr@ije locale to sr@ijekavian
- better description for -libs
- package base docs
- python-pyatspi_corba O: its old name (python-pyatspi < 2, before it has been replaced
  by at-spi2/DBus based implementation)
- release 6

* Thu Jun 28 2012 hawk <hawk@pld-linux.org> e02c360
- release 5

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 603e6d8
- enabled relocate - now CORBA and D-BUS based at-spi may coexist
- renamed package with python bindings to python-pyatspi_corba
- release 4

* Sat Apr 09 2011 lisu <lisu@pld-linux.org> 762ce67
- drop libtool files
- rel 3

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a74a44f
- en@shaw locale is now supported (via LANGUAGE)
- spelling in -libs (but the description is not even true anyway)

* Fri Oct 15 2010 Jan Rękorajski <baggins@pld-linux.org> 0a2500d
- rel 2
- moved libraries to -libs package for multiarch installs

* Mon Sep 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e52f61c
- updated to 1.32.0

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb7ceea
- release 2

* Mon Apr 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> dbca263
- updated to 1.30.1

* Tue Mar 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 4c0721c
- merged from DEVEL

* Thu Mar 04 2010 hawk <hawk@pld-linux.org> 6e922d8
- release 4

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 5142077
- BR: docbook-dtd412-xml, python-modules, rpm-pythonprov

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 20863a4
- rebuild
- rel 3

* Tue Oct 20 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5be6307
- drop BR xorg-lib-libXevie-devel
- release 2

* Tue Oct 20 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ed18368
- updated to 1.28.1

* Fri Sep 25 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4619ab5
- updated to 1.28.0

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> 123fb51
- release 2

* Mon Mar 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b10e476
- updated to 1.26.0; merged changes from DEVEL

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> cd9befa
- release 2

* Fri Dec 19 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 20a1064
- updated to 1.24.1

